## org.hibernate.util
Class JDBCExceptionReporter.StandardWarningHandler

    java.lang.Object
      org.hibernate.util.JDBCExceptionReporter.WarningHandlerLoggingSupport
          org.hibernate.util.JDBCExceptionReporter.StandardWarningHandler

All Implemented Interfaces:
  JDBCExceptionReporter.WarningHandler

Enclosing class:
  JDBCExceptionReporter

    public static class JDBCExceptionReporter.StandardWarningHandler

extends JDBCExceptionReporter.WarningHandlerLoggingSupport

Constructor Summary
`JDBCExceptionReporter.StandardWarningHandler(String introMessage)`

Method Summary
`boolean` `doProcess()` Should processing be done? Allows short-circuiting if not.
`protected void` `logWarning(String description, String message)` Delegate to log common details of a `warning`
`void` `prepare(SQLWarning warning)` Prepare for processing of a `warning` stack.

Methods inherited from class org.hibernate.util.JDBCExceptionReporter.WarningHandlerLoggingSupport
`handleWarning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCExceptionReporter.StandardWarningHandler

    public JDBCExceptionReporter.StandardWarningHandler(String introMessage)

Method Detail

### doProcess

    public boolean doProcess()

  Description copied from interface: `JDBCExceptionReporter.WarningHandler`
  Should processing be done? Allows short-circuiting if not.

  Returns:
    True to process warnings, false otherwise.

### prepare

    public void prepare(SQLWarning warning)

  Description copied from interface: `JDBCExceptionReporter.WarningHandler`
  Prepare for processing of a `warning` stack.

  Note that the warning here is also the first passed to `JDBCExceptionReporter.WarningHandler.handleWarning(java.sql.SQLWarning)`

  Parameters:
    `warning` - The first warning in the stack.

### logWarning

    protected void logWarning(String description,
                              String message)

  Description copied from class: `JDBCExceptionReporter.WarningHandlerLoggingSupport`
  Delegate to log common details of a `warning`

  Specified by:
    `logWarning` in class `JDBCExceptionReporter.WarningHandlerLoggingSupport`
  Parameters:
    `description` - A description of the warning
    `message` - The warning message

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.